import React from "react";

const NotificationsContext = React.createContext(null);

export function NotificationsProvider(props: null) {
  const [notifications, setNotifications] = React.useState([]);

  const memData = React.useMemo(() => {
    return { notifications, setNotifications };
  }, [notifications]);

  return <NotificationsContext.Provider value={memData} {...props} />;
}

export function useNotifications() {
  const context = React.useContext(NotificationsContext);
  if (!context) {
    // eslint-disable-next-line no-throw-literal
    throw "error: notifications context not defined.";
  }
  return context;
}
