type httpRequestType = "GET" | "POST" | "PUT" | "PATCH" | "DELETE";

interface useHttpProps {
  req: httpRequestType | null;
  url: string | null;
  params: any | null;
  body: any | null;
  triggerAlert: boolean;
}

type Yii2Pagination = {
  total: number;
  pagina: number;
  limite: number;
};

interface useHttpResponse {
  resultado: any;
  mensaje: string | undefined;
  errores: Array<any>;
  detalle: any;
  paginacion?: Yii2Pagination;
}

interface innerFetch {
  method: httpRequestType;
  headers: any;
  body: string | null;
}

export { useHttpProps, useHttpResponse, innerFetch, Yii2Pagination };
