import { useHttpProps } from "../types";
import capitalizeFirst from "./capitalizeFirst";

const emptyRequest = (): useHttpProps => ({
  req: null,
  url: null,
  params: null,
  body: null,
  triggerAlert: false,
});

const getRequest = (url: string, params = {}): useHttpProps => ({
  req: "GET",
  url,
  params,
  body: null,
  triggerAlert: false,
});

const postRequest = (
  url: string,
  body: any,
  params: any = {}
): useHttpProps => ({
  req: "POST",
  url,
  params,
  body,
  triggerAlert: false,
});

const deleteRequest = (
  url: string,
  id: number | string,
  params: any = {}
): useHttpProps => ({
  req: "DELETE",
  url: `${url}/eliminar`,
  params: {
    ...params,
    [`id${capitalizeFirst(url)}`]: id,
  },
  body: null,
  triggerAlert: false,
});

export { emptyRequest, getRequest, postRequest, deleteRequest };
